Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Interface XMLConstants

All Known Implementing Classes:
  XMLJUnitResultFormatter, XMLResultAggregator

public interface XMLConstants

Interface that groups all constants used throughout the `XML`documents that are generated by the `XMLJUnitResultFormatter` As of now the DTD is: <----------------- @todo describe DTDs ---------------------->``

Author:
  Stephane Bailliez
See Also:
  `XMLJUnitResultFormatter`, `XMLResultAggregator`

Field Summary
`static java.lang.String` | `ATTR_ERRORS` errors attribute for testsuite elements
`static java.lang.String` | `ATTR_FAILURES` failures attribute for testsuite elements
`static java.lang.String` | `ATTR_MESSAGE` message attribute for failure elements
`static java.lang.String` | `ATTR_NAME` name attribute for testcase and testsuite elements
`static java.lang.String` | `ATTR_PACKAGE` package attribute for the aggregate document
`static java.lang.String` | `ATTR_TESTS` tests attribute for testsuite elements
`static java.lang.String` | `ATTR_TIME` time attribute for testcase and testsuite elements
`static java.lang.String` | `ATTR_TYPE` type attribute for failure and error elements
`static java.lang.String` | `ERROR` the error element
`static java.lang.String` | `FAILURE` the failure element
`static java.lang.String` | `TESTCASE` the testcase element
`static java.lang.String` | `TESTSUITE` the testsuite element
`static java.lang.String` | `TESTSUITES` the testsuites element for the aggregate document

Field Detail

### TESTSUITES

    public static final java.lang.String TESTSUITES

  the testsuites element for the aggregate document

### TESTSUITE

    public static final java.lang.String TESTSUITE

  the testsuite element

### TESTCASE

    public static final java.lang.String TESTCASE

  the testcase element

### ERROR

    public static final java.lang.String ERROR

  the error element

### FAILURE

    public static final java.lang.String FAILURE

  the failure element

### ATTR_PACKAGE

    public static final java.lang.String ATTR_PACKAGE

  package attribute for the aggregate document

### ATTR_NAME

    public static final java.lang.String ATTR_NAME

  name attribute for testcase and testsuite elements

### ATTR_TIME

    public static final java.lang.String ATTR_TIME

  time attribute for testcase and testsuite elements

### ATTR_ERRORS

    public static final java.lang.String ATTR_ERRORS

  errors attribute for testsuite elements

### ATTR_FAILURES

    public static final java.lang.String ATTR_FAILURES

  failures attribute for testsuite elements

### ATTR_TESTS

    public static final java.lang.String ATTR_TESTS

  tests attribute for testsuite elements

### ATTR_TYPE

    public static final java.lang.String ATTR_TYPE

  type attribute for failure and error elements

### ATTR_MESSAGE

    public static final java.lang.String ATTR_MESSAGE

  message attribute for failure elements

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.